import { defineComponent as c, useSlots as m, shallowRef as x, computed as b, openBlock as h, createBlock as v, normalizeProps as t, guardReactiveProps as r, unref as s, createSlots as y, withCtx as d, createVNode as B, mergeProps as A, renderList as g, renderSlot as F } from "vue";
import { omit as k } from "lodash-unified";
import { ApField as C } from "../../../ap-field/index.mjs";
import "../../item/index.vue2.mjs";
import S from "../../item/index.vue.mjs";
const $ = /* @__PURE__ */ c({
  name: "ApFormItemTextArea",
  __name: "index",
  props: {
    htmlFor: {},
    prefixCls: {},
    label: {},
    help: {},
    extra: {},
    labelCol: {},
    wrapperCol: {},
    hasFeedback: { type: Boolean, default: !1 },
    colon: { type: Boolean, default: void 0 },
    labelAlign: {},
    prop: {},
    name: {},
    rules: {},
    autoLink: { type: Boolean, default: !0 },
    required: { type: Boolean, default: void 0 },
    validateFirst: { type: Boolean, default: void 0 },
    validateStatus: {},
    validateTrigger: {},
    messageVariables: {},
    hidden: { type: Boolean },
    noStyle: { type: Boolean },
    tooltip: {},
    span: {},
    order: {},
    offset: {},
    push: {},
    pull: {},
    xs: {},
    sm: {},
    md: {},
    lg: {},
    xl: {},
    xxl: {},
    flex: {},
    valuePropName: {},
    initialValue: {},
    _signal: {},
    transform: {},
    description: {},
    customFilled: {},
    disabled: { type: Boolean, default: void 0 },
    autoFocus: { type: Boolean },
    field: { default: () => ({}) },
    placeholder: {}
  },
  setup(e, { expose: i }) {
    const { TextArea: n } = C, p = m(), u = e, l = x();
    return i({
      focus: (o) => {
        l.value?.focus(o);
      },
      blur: () => {
        l.value?.blur();
      },
      resizableTextArea: b(() => l.value?.resizableTextArea)
    }), (o, P) => (h(), v(S, t(r(s(k)(u, ["field", "placeholder"]))), y({
      default: d(() => [
        B(s(n), A({
          ref_key: "textAreaRef",
          ref: l,
          disabled: e.disabled,
          placeholder: e.placeholder
        }, e.field), null, 16, ["disabled", "placeholder"])
      ]),
      _: 2
    }, [
      g(p, (R, a) => ({
        name: a,
        fn: d((f) => [
          F(o.$slots, a, t(r(f || {})))
        ])
      }))
    ]), 1040));
  }
});
export {
  $ as default
};
